<script lang="ts">
import JIcon from '@new-jira-clone/ui/src/components/icon/JIcon';
import JText from '@new-jira-clone/ui/src/components/shared/JText';
import JSemanticButton from '@new-jira-clone/ui/src/components/button/JSemanticButton';

export default {
  name: 'JTeamCount',
  components: {
    JIcon,
    JText,
    JSemanticButton,
  },
  props: {
    count: {
      type: Number,
      default: null,
    },
  },
  setup() {
    return {
      JSemanticButton,
    }
  }
};
</script>

<template>
  <JText
    :tag="JSemanticButton"
    type="text-2"
    color="text"
    weight="bold"
    class="j-team-count"
  >
    <JIcon
      icon="teamCreate"
      container-size
      slot-wrapper
      size="24px"
      class="j-team-count-icon"
    >
      <span v-if="count" class="j-count-label">
        {{ count }}
      </span>
    </JIcon>
  </JText>
</template>

<style scoped lang="scss">
.j-team-count-icon {
  display: flex;
  align-items: center;
  width: max-content;
  cursor: pointer;

  &:hover {
    color: rgb(var(--j-primary-color));
    fill: rgb(var(--j-primary-color));
  }
}

.j-count-label {
  padding-left: 2px;
}
</style>
